/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomXMLHttpRequestException_H__
#define __GdomXMLHttpRequestException_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomXMLHttpRequestException GdomXMLHttpRequestException;
typedef struct _GdomXMLHttpRequestExceptionClass GdomXMLHttpRequestExceptionClass;


#define GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION            (gdom_xml_http_request_exception_get_type())
#define GDOM_XML_HTTP_REQUEST_EXCEPTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION, GdomXMLHttpRequestException))
#define GDOM_XML_HTTP_REQUEST_EXCEPTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION, GdomXMLHttpRequestException)Class)
#define GDOM_IS_XML_HTTP_REQUEST_EXCEPTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION))
#define GDOM_IS_XML_HTTP_REQUEST_EXCEPTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION))
#define GDOM_XML_HTTP_REQUEST_EXCEPTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION, GdomXMLHttpRequestExceptionClass))

typedef struct _GdomXMLHttpRequestExceptionPrivate GdomXMLHttpRequestExceptionPrivate;

struct _GdomXMLHttpRequestException {
    GdomDOMObject parent_instance;
    GdomXMLHttpRequestExceptionPrivate *priv;
};

struct _GdomXMLHttpRequestExceptionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_xml_http_request_exception_get_type (void);

WEBKIT_API gchar *
gdom_xml_http_request_exception_to_string (GdomXMLHttpRequestException *thiz);

G_END_DECLS

#endif /* __GdomXMLHttpRequestException_H__ */
